Delete Layout

 I want to delete 200 Layout's. I can't select all layouts with shift so......i delete manually?

Thank you!

Comments

  • I'm send SR (ID 23718 / 2010-04-10). And it was added it to the list of feature requests. ...But still not added to Bricscad releases... ;(

    But you have right, actually it isn't possible yet.

    But now I think, they can add this option to PageSetup in Drawing Explorer, ther is list of all layouts and there is multiselection possible, "simple" need ativate delete option...

  • Hi Burlacu,

    The CP_DELETELAYOUT command is part of our CADPower productivity tools for Bricscad, if you would like to use a third-party solution for the same.

    See: http://www.4d-technologies.com/cadpower/manual/miscellaneous_tools.htm#DELETELAYOUTS

    If you would like to create your own Lisp tool for the same purpose, these code snippets might help. One function deletes the specified layout while another will create a list of current layouts in the drawing.

    You need to polish this off with a small wrapper and c: command.

    [code]

    ;; | ----------------------------------------------------------------------------
    ;; | MI_GetPSLayoutsLst (new in V7)
    ;; | ----------------------------------------------------------------------------
    ;; | Function : Returns a list of paper space layout names
    ;; | Arguments: (none)
    ;; | Return   : The list of layout names
    ;; | Updated  : August 5, 2011
    ;; | e-mail   : rakesh.rao@4d-technologies.com
    ;; | Web      : www.4d-technologies.com
    ;; | ----------------------------------------------------------------------------

    (defun MI_GetPSLayoutsLst ( / layout layoutName acadApp activeDoc layoutsCol layoutsLst )
    (setq
        acadApp    (vlax-get-acad-object)
        activeDoc  (vla-get-activedocument acadApp)
        layoutsCol (vla-get-layouts activeDoc)
        layoutsLst '()
    )
    (vlax-for layout layoutsCol
        (setq layoutName (vla-get-Name layout))

        (if (/= (strcase layoutName) "MODEL")
            (setq layoutsLst (cons layoutName layoutsLst))
        )
    )

    (setq layoutsLst  (reverse LayoutsLst))
    )

    ;; | ----------------------------------------------------------------------------
    ;; | MI_DeleteLayout (new in V7)
    ;; | ----------------------------------------------------------------------------
    ;; | Function : Deletes a specifed paper-space layout
    ;; | Arguments: 'LayoutName'
    ;; | Return   : The list of layout names
    ;; | Updated  : August 5, 2011
    ;; | e-mail   : rakesh.rao@4d-technologies.com
    ;; | Web      : www.4d-technologies.com
    ;; | ----------------------------------------------------------------------------

    (defun MI_DeleteLayout ( LayoutToDelete / layout layoutName acadApp activeDoc layoutsCol )
    (setq
        acadApp    (vlax-get-acad-object)
        activeDoc  (vla-get-activedocument acadApp)
        layoutsCol (vla-get-layouts activeDoc)
    )
    (vlax-for layout layoutsCol
        (setq layoutName (vla-get-Name layout))

        (if (= (strcase layoutName) (strcase LayoutToDelete))
            (vla-delete layout)
        )
    )
    )


    [/code]

    Regards
    www.coordsys.com


This discussion has been closed.